LPCOpen Platform for LPC18XX/43XX microcontrollers: CHIP: LPC18xx/43xx Repetitive Interrupt Timer driver

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Functions
CHIP: LPC18xx/43xx Repetitive Interrupt Timer driver
LPC18xx/43xx chip specific drivers

## Detailed Description

## Data Structures
struct | LPC_RITIMER_T
| Repetitive Interrupt Timer register block structure. More...

## Macros
#define | RIT_CTRL_INT ((uint32_t) (1))
#define | RIT_CTRL_ENCLR ((uint32_t) _BIT(1))
#define | RIT_CTRL_ENBR ((uint32_t) _BIT(2))
#define | RIT_CTRL_TEN ((uint32_t) _BIT(3))

## Functions
void | Chip_RIT_Init (LPC_RITIMER_T *pRITimer)
| Initialize the RIT. More...
void | Chip_RIT_DeInit (LPC_RITIMER_T *pRITimer)
| Shutdown the RIT. More...
STATIC INLINE void | Chip_RIT_Enable (LPC_RITIMER_T *pRITimer)
| Enable Timer. More...
STATIC INLINE void | Chip_RIT_Disable (LPC_RITIMER_T *pRITimer)
| Disable Timer. More...
STATIC INLINE void | Chip_RIT_TimerDebugEnable (LPC_RITIMER_T *pRITimer)
| Enable timer debug. More...
STATIC INLINE void | Chip_RIT_TimerDebugDisable (LPC_RITIMER_T *pRITimer)
| Disable timer debug. More...
IntStatus | Chip_RIT_GetIntStatus (LPC_RITIMER_T *pRITimer)
| Check whether interrupt flag is set or not. More...
STATIC INLINE void | Chip_RIT_SetCOMPVAL (LPC_RITIMER_T *pRITimer, uint32_t val)
| Set a tick value for the interrupt to time out. More...
STATIC INLINE void | Chip_RIT_EnableCTRL (LPC_RITIMER_T *pRITimer, uint32_t val)
| Enables or clears the RIT or interrupt. More...
STATIC INLINE void | Chip_RIT_ClearInt (LPC_RITIMER_T *pRITimer)
| Clears the RIT interrupt. More...
STATIC INLINE uint32_t | Chip_RIT_GetCounter (LPC_RITIMER_T *pRITimer)
| Returns the current RIT Counter value. More...
void | Chip_RIT_SetTimerInterval (LPC_RITIMER_T *pRITimer, uint32_t time_interval)
| Set timer interval value. More...

## Macro Definition Documentation

#define RIT_CTRL_ENBR ((uint32_t) _BIT(2))

Set timer enable on debug

Definition at line 66 of file ritimer_18xx_43xx.h.

#define RIT_CTRL_ENCLR ((uint32_t) _BIT(1))

Set timer enable clear to 0 when the counter value equals the masked compare value

Definition at line 64 of file ritimer_18xx_43xx.h.

#define RIT_CTRL_INT ((uint32_t) (1))

Set by H/W when the counter value equals the masked compare value

Definition at line 62 of file ritimer_18xx_43xx.h.

#define RIT_CTRL_TEN ((uint32_t) _BIT(3))

Set timer enable

Definition at line 68 of file ritimer_18xx_43xx.h.

## Function Documentation

STATIC INLINE void Chip_RIT_ClearInt | ( | LPC_RITIMER_T * | pRITimer | ) |

Clears the RIT interrupt.

Parameters

  pRITimer | : RITimer peripheral selected

Returns
  None

Definition at line 158 of file ritimer_18xx_43xx.h.

void Chip_RIT_DeInit | ( | LPC_RITIMER_T * | pRITimer | ) |

Shutdown the RIT.

Parameters

  pRITimer | : RITimer peripheral selected

Returns
  None

Definition at line 61 of file ritimer_18xx_43xx.c.

STATIC INLINE void Chip_RIT_Disable | ( | LPC_RITIMER_T * | pRITimer | ) |

Disable Timer.

Parameters

  pRITimer | : RITimer peripheral selected

Returns
  None

Definition at line 99 of file ritimer_18xx_43xx.h.

STATIC INLINE void Chip_RIT_Enable | ( | LPC_RITIMER_T * | pRITimer | ) |

Enable Timer.

Parameters

  pRITimer | : RITimer peripheral selected

Returns
  None

Definition at line 89 of file ritimer_18xx_43xx.h.

STATIC INLINE void Chip_RIT_EnableCTRL | ( | LPC_RITIMER_T * | pRITimer,
|  | uint32_t | val
| ) |  |

Enables or clears the RIT or interrupt.

Parameters

  pRITimer | : RITimer peripheral selected
  val | : RIT to be set, one or more RIT_CTRL_* values

Returns
  None

Definition at line 148 of file ritimer_18xx_43xx.h.

STATIC INLINE uint32_t Chip_RIT_GetCounter | ( | LPC_RITIMER_T * | pRITimer | ) |

Returns the current RIT Counter value.

Parameters

  pRITimer | : RITimer peripheral selected

Returns
  the current timer counter value

Definition at line 168 of file ritimer_18xx_43xx.h.

IntStatus Chip_RIT_GetIntStatus | ( | LPC_RITIMER_T * | pRITimer | ) |

Check whether interrupt flag is set or not.

Parameters

  pRITimer | : RITimer peripheral selected

Returns
  Current interrupt status, either ET or UNSET

Definition at line 84 of file ritimer_18xx_43xx.c.

void Chip_RIT_Init | ( | LPC_RITIMER_T * | pRITimer | ) |

Initialize the RIT.

Parameters

  pRITimer | : RITimer peripheral selected

Returns
  None

Definition at line 51 of file ritimer_18xx_43xx.c.

STATIC INLINE void Chip_RIT_SetCOMPVAL | ( | LPC_RITIMER_T * | pRITimer,
|  | uint32_t | val
| ) |  |

Set a tick value for the interrupt to time out.

Parameters

  pRITimer | : RITimer peripheral selected
  val | : value (in ticks) of the interrupt to be set

Returns
  None

Definition at line 137 of file ritimer_18xx_43xx.h.

void Chip_RIT_SetTimerInterval | ( | LPC_RITIMER_T * | pRITimer,
|  | uint32_t | time_interval
| ) |  |

Set timer interval value.

Parameters

  pRITimer | : RITimer peripheral selected
  time_interval | : timer interval value (ms)

Returns
  None

Definition at line 68 of file ritimer_18xx_43xx.c.

STATIC INLINE void Chip_RIT_TimerDebugDisable | ( | LPC_RITIMER_T * | pRITimer | ) |

Disable timer debug.

Parameters

  pRITimer | : RITimer peripheral selected

Returns
  None

Definition at line 119 of file ritimer_18xx_43xx.h.

STATIC INLINE void Chip_RIT_TimerDebugEnable | ( | LPC_RITIMER_T * | pRITimer | ) |

Enable timer debug.

Parameters

  pRITimer | : RITimer peripheral selected

Returns
  None

Definition at line 109 of file ritimer_18xx_43xx.h.